require "import"
import "android.content.Intent"
import "android.net.Uri"
import "android.widget.*"
import "android.view.*"
import "android.os.Vibrator"

local dlgBienvenida, dlgReglas, dlgConfirmacion

-- Obtener el servicio del vibrador
local vibrator = service.getSystemService("vibrator")

-- Función para vibrar
function vibrar(ms)
    if vibrator then
        vibrator.vibrate(ms)
    end
end

function mostrarPantallaBienvenida()
    local layout = {
        LinearLayout,
        orientation = "vertical",
        {TextView, text = "¡Bienvenido a Accesorios para Jieshuo!", textSize = "18sp", textColor = 0xFF000000},
        {TextView, text = "Este grupo está diseñado para compartir y descubrir complementos útiles para Jieshuo. Le invitamos a formar parte de nuestra comunidad."},
        {Button, text = "Continuar", onClick = function() vibrar(50) mostrarPantallaReglas() end},
    }
    
    dlgBienvenida = LuaDialog(service)
    dlgBienvenida.setTitle("Bienvenida")
    dlgBienvenida.setView(loadlayout(layout))
    dlgBienvenida.setCancelable(false)
    dlgBienvenida.show()
end

function mostrarPantallaReglas()
    if dlgBienvenida then dlgBienvenida.dismiss() end
    
    local layout = {
        ScrollView,
        layout_width = "match_parent",
        layout_height = "match_parent",
        {
            LinearLayout,
            orientation = "vertical",
            {TextView, text = "Reglamento del grupo:", textSize = "18sp", textColor = 0xFF000000},
            {TextView, text = "1. Este grupo se enfoca exclusivamente en el desarrollo y uso de complementos para Jieshuo. Evite temas no relacionados."},
            {TextView, text = "2. Sea respetuoso con todos los miembros. No se tolerarán insultos ni actitudes ofensivas."},
            {TextView, text = "3. Antes de realizar una consulta, verifique si la respuesta ya ha sido proporcionada anteriormente."},
            {TextView, text = "4. No se permite la difusión de enlaces externos que no estén relacionados con Jieshuo o complementos."},
            {TextView, text = "5. El incumplimiento reiterado de las normas podrá resultar en la expulsión del grupo."},
            {Button, text = "Aceptar y continuar", onClick = function() vibrar(50) mostrarPantallaConfirmacion() end},
        }
    }
    
    dlgReglas = LuaDialog(service)
    dlgReglas.setTitle("Reglamento del Grupo")
    dlgReglas.setView(loadlayout(layout))
    dlgReglas.setCancelable(false)
    dlgReglas.show()
end

function mostrarPantallaConfirmacion()
    if dlgReglas then dlgReglas.dismiss() end

    local layout = {
        LinearLayout,
        orientation = "vertical",
        {TextView, text = "¿Quieres unirte a nuestros grupos?", textSize = "18sp", textColor = 0xFF000000},
        {TextView, text = "Puedes unirte a nuestro grupo de Telegram o WhatsApp usando los botones de abajo."},
        {Button, text = "Unirme al grupo de Telegram", onClick = function() vibrar(100) unirATelegram() end},
        {Button, text = "Unirme al grupo de WhatsApp", onClick = function() vibrar(100) unirAWhatsApp() end},
    }
    
    dlgConfirmacion = LuaDialog(service)
    dlgConfirmacion.setTitle("Confirmación")
    dlgConfirmacion.setView(loadlayout(layout))
    dlgConfirmacion.setCancelable(false)
    dlgConfirmacion.show()
end

function unirATelegram()
    if dlgConfirmacion then dlgConfirmacion.dismiss() end
    local intent = Intent(Intent.ACTION_VIEW, Uri.parse("https://t.me/accesoriosparajieshuooficial"))
    service.startActivity(intent)
    service.stopSelf() -- Cierra correctamente el complemento sin reactivarse
end

function unirAWhatsApp()
    if dlgConfirmacion then dlgConfirmacion.dismiss() end
    local intent = Intent(Intent.ACTION_VIEW, Uri.parse("https://chat.whatsapp.com/I0H9m8tg1GuAwvfL5iiRgp"))
    service.startActivity(intent)
    service.stopSelf() -- Cierra correctamente el complemento sin reactivarse
end

mostrarPantallaBienvenida()